Subject: Ticket Assigned - 9585264085/ Late delivery
From: Home Box <[email-masked]>
To: [email-masked]
Date: Wed, 07 Sep 2022 14:58:48 +0000

Hi Alhamzi Mohammed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  9585264085/ Late delivery Dreamer                             06:24 PM, 07th Sep                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           06:24 PM, 07th Sep                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           06:24 PM, 07th Sep                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            06:24 PM, 07th Sep                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            06:24 PM, 07th Sep                     Dreamer                    Why they r lie           06:24 PM, 07th Sep                     Dreamer                    I didn’t request to reschedule           06:24 PM, 07th Sep                   New                   We are experiencing high volume of incoming messages. Please make sure you've described your query in detail. Please be sure to include your Order Number/Invoice number or details of the item you are inquiring about.            06:26 PM, 07th Sep                   New                   If you have any pictures that you would like to share, please do that.            06:26 PM, 07th Sep                   New                   We will respond to your query in just a few minutes. Please accept our apologies for the delay. Thank you for your patience           06:26 PM, 07th Sep                     Dreamer                    Why u lie           06:27 PM, 07th Sep                     Dreamer                             06:31 PM, 07th Sep                   Alhamzi                   Thank you for allowing me the time to check. I appreciate your patience.           06:42 PM, 07th Sep                     Dreamer                    Otherwise I’ll cancel this  I need it today           06:44 PM, 07th Sep                   Alhamzi                   Your order is on its way           06:53 PM, 07th Sep                   Alhamzi                   Kindly note that the estimated delivery time frame for household items (non-furniture) is within 2-1 business days.           06:53 PM, 07th Sep                     Dreamer                    Then why this           06:53 PM, 07th Sep                     Dreamer                    Wt means on the way           06:54 PM, 07th Sep                   Alhamzi                   Please confirm if the following phone number is correct: +971582022900           06:54 PM, 07th Sep                     Dreamer                    Correct           06:54 PM, 07th Sep                     Dreamer                             06:55 PM, 07th Sep                   Alhamzi                   I can see that delivery of this order has taken longer than our normal delivery time, and I am really very sorry for this delay. I know that you’ve been waiting for it.  We have forwarded your issue to our concern team. Our team is working on it. Once we will get any update we will get back to you.  Our courier partner will contact you to arrange a time for delivery. It should be with you soon.  Again, please accept our sincere apologies for this unexpected delay.           06:55 PM, 07th Sep                   Alhamzi                   Do you have any other inquiries that we can help with?           06:55 PM, 07th Sep                   Alhamzi                   It was a pleasure to assist you. Thank you for shopping with us.  Have a wonderful day.           06:58 PM, 07th Sep                                          View conversation in Freshchat https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4842994